Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.businessconnector.hubv3.util
Class RequestTypeBuilder

    java.lang.Object
      be.ehealth.businessconnector.hubv3.util.RequestTypeBuilder

    public class RequestTypeBuilder

extends Object

Field Summary
`static String` | `PROJECT_NAME`

Method Summary
`RequestTypeBuilder` | `addAuthorWithEncryptionInformation()`
`RequestTypeBuilder` | `addBreakTheGlass(String breakTheGlass)`
`RequestTypeBuilder` | `addGenericAuthor()`
`RequestTypeBuilder` | `addMaxRows(Integer maxRows)`
`RequestType` | `build()`
`static RequestTypeBuilder` | `init()` creates a new RequestTypeBuilder.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROJECT_NAME

    public static final String PROJECT_NAME

See Also:
  Constant Field Values

Method Detail

### init

    public static RequestTypeBuilder init()
                                   throws TechnicalConnectorException

  creates a new RequestTypeBuilder. will initialize id ( with HcPartyUtil.createKmehrId , see kmehrcommons javadoc for configuration options ) , date and time ( current time )

  Returns:
    RequestTypeBuilder
  Throws:
    `TechnicalConnectorException`

### addGenericAuthor

    public RequestTypeBuilder addGenericAuthor()
                                        throws TechnicalConnectorException

  Throws:
    `TechnicalConnectorException`

### addAuthorWithEncryptionInformation

    public RequestTypeBuilder addAuthorWithEncryptionInformation()
                                                          throws TechnicalConnectorException

  Throws:
    `TechnicalConnectorException`

### addBreakTheGlass

    public RequestTypeBuilder addBreakTheGlass(String breakTheGlass)

### addMaxRows

    public RequestTypeBuilder addMaxRows(Integer maxRows)

### build

    public RequestType build()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Package PERSMIDWIFE 3.20.2 API
Copyright © {inceptionYear}-2020 eHealth. All Rights Reserved.